## class SG_EXPORT osg::CopyOp

> Copy Op(erator) used to control the whether shallow or deep copy is used during copy construction and clone operation

### Public Methods

inline CopyOp(CopyFlags flags=SHALLOW_COPY)
virtual ~CopyOp()
virtual Referenced* operator() (const Referenced* ref) const
virtual Object* operator() (const Object* obj) const
virtual Node* operator() (const Node* node) const
virtual Drawable* operator() (const Drawable* drawable) const
virtual StateSet* operator() (const StateSet* stateset) const
virtual StateAttribute* operator() (const StateAttribute* attr) const
virtual Texture* operator() (const Texture* text) const
virtual Image* operator() (const Image* image) const
virtual Array* operator() (const Array* array) const
virtual PrimitiveSet* operator() (const PrimitiveSet* primitives) const
virtual Shape* operator() (const Shape* shape) const

### Public Members

enum Options
typedef unsigned int CopyFlags

### Protected Fields

CopyFlags _flags

## Documentation

> Copy Op(erator) used to control the whether shallow or deep copy is used during copy construction and clone operation

`enum Options`

`SHALLOW_COPY`

`DEEP_COPY_OBJECTS`

`DEEP_COPY_NODES`

`DEEP_COPY_DRAWABLES`

`DEEP_COPY_STATESETS`

`DEEP_COPY_STATEATTRIBUTES`

`DEEP_COPY_TEXTURES`

`DEEP_COPY_IMAGES`

`DEEP_COPY_ARRAYS`

`DEEP_COPY_PRIMITIVES`

`DEEP_COPY_SHAPES`

`DEEP_COPY_ALL`

`typedef unsigned int CopyFlags`

`inline CopyOp(CopyFlags flags=SHALLOW_COPY)`

`virtual ~CopyOp()`

`virtual Referenced* operator() (const Referenced* ref) const`

`virtual Object* operator() (const Object* obj) const`

`virtual Node* operator() (const Node* node) const`

`virtual Drawable* operator() (const Drawable* drawable) const`

`virtual StateSet* operator() (const StateSet* stateset) const`

`virtual StateAttribute* operator() (const StateAttribute* attr) const`

`virtual Texture* operator() (const Texture* text) const`

`virtual Image* operator() (const Image* image) const`

`virtual Array* operator() (const Array* array) const`

`virtual PrimitiveSet* operator() (const PrimitiveSet* primitives) const`

`virtual Shape* operator() (const Shape* shape) const`

`CopyFlags _flags`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.